Subject: Re: bug#40880: [XFCE]: No webbrowser installed by default

From: 宋文武 <[email-masked]>
Date: Fri, 25 Aug 2023 18:52:29 +0800

Michael Rohleder <[email-masked]> writes:

> Hi Jonathan,
>
> Jonathan Brielmaier <[email-masked]> writes:
>> If you install XFCE and you want to start the webbrowser via the bottom
>> line or the Applications menu, you get a dialog "Choose Preferred
>> Application" instead of a launching web browser.
>>
>> That's because no web browser is installed with XFCE.
>
> I think its because you havent choosen a preferred browser, so I think
> xfce behavior is correct here.
>
> If the user wants a webbrowser he needs to install one, I dont think
> there is anything xfce could do here.

Hello, Xfce project doesn't have a web browser (i think it did had
midori years ago, but it seems abandoned), so I think it's reasonable to
leave the choice to users.

Closing, thanks.